"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnauthorizedPage = exports.TermsPage = exports.PrivacyPage = exports.NotFoundPage = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _pngs = require("../pngs");
var _utils = require("../utils");
var _CoalitionGtm = require("../components/CoalitionGtm");
var _components = require("../components");
require("./Pages.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NotFoundPage = _ref => {
  let {
    gtmId
  } = _ref;
  (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_15_00)("not_found"));
  return /*#__PURE__*/_react.default.createElement(ErrorPage, {
    title: "Error 404",
    description: "No encontramos la página que buscas, por favor regresa a nuestra página principal"
  });
};
exports.NotFoundPage = NotFoundPage;
const UnauthorizedPage = _ref2 => {
  let {
    gtmId
  } = _ref2;
  (0, _CoalitionGtm.sendTag)(gtmId, (0, _CoalitionGtm.event_15_00)("unauthorized"));
  return /*#__PURE__*/_react.default.createElement(ErrorPage, {
    title: "Error 401",
    description: "Necesitas Iniciar sesión para acceder a este contenido"
  });
};
exports.UnauthorizedPage = UnauthorizedPage;
const TermsPage = _ref3 => {
  let {
    terms
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement(GenericPage, {
    title: "T\xE9rminos y condiciones",
    children: terms
  });
};
exports.TermsPage = TermsPage;
const PrivacyPage = _ref4 => {
  let {
    privacy
  } = _ref4;
  return /*#__PURE__*/_react.default.createElement(GenericPage, {
    title: "Aviso de privacidad",
    children: privacy
  });
};
exports.PrivacyPage = PrivacyPage;
const ErrorPage = _ref5 => {
  let {
    title,
    description,
    buttonClicked
  } = _ref5;
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_components.EmptyBlock, {
    title: title,
    description: description,
    emptyState: _pngs.not_found,
    children: /*#__PURE__*/_react.default.createElement(_components.CoalitionButton, {
      label: "Volver al Inicio",
      klass: "coalition-button-go-dashboard",
      onClickEvent: buttonClicked
    })
  }));
};
const GenericPage = _ref6 => {
  let {
    title,
    children,
    buttonClicked
  } = _ref6;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-page"
  }, /*#__PURE__*/_react.default.createElement(_components.CoalitionButton, {
    label: title,
    klass: "nav-button",
    onClickEvent: buttonClicked
  }, (0, _utils.getImg)(_pngs.chevron_left, "back-icon")), /*#__PURE__*/_react.default.createElement("pre", {
    className: "content"
  }, children)));
};